! ==============================================================================================================================
! INCLUDE    : mpi_dummy.h
!
! CONTACT      : orchidee-help _at_ listes.ipsl.fr
!
! LICENCE      : IPSL (2006)
! This software is governed by the CeCILL licence see ORCHIDEE/ORCHIDEE_CeCILL.LIC
!
!>\BRIEF      Overlap of MPI functions not present in some MPI implementations.
!!
!!\n DESCRIPTION  :  NONE
!!
!! RECENT CHANGE(S): None
!!
!! REFERENCES(S)    : None
!!
!! SVN              :
!! $HeadURL: svn://forge.ipsl.jussieu.fr/orchidee/branches/ORCHIDEE_2_2/ORCHIDEE/src_parallel/mpi_dummy.h $
!! $Date: 2017-06-28 16:04:50 +0200 (Wed, 28 Jun 2017) $
!! $Revision: 4470 $
!! \n
!_ ================================================================================================================================

#ifdef MPI_SECOND__

SUBROUTINE MPI_NULL_COPY_FN
END SUBROUTINE MPI_NULL_COPY_FN

SUBROUTINE MPI_NULL_DELETE_FN
END SUBROUTINE MPI_NULL_DELETE_FN

SUBROUTINE MPI_COMM_NULL_COPY_FN
END SUBROUTINE MPI_COMM_NULL_COPY_FN

SUBROUTINE MPI_COMM_NULL_DELETE_FN
END SUBROUTINE MPI_COMM_NULL_DELETE_FN

SUBROUTINE MPI_TYPE_NULL_COPY_FN
END SUBROUTINE MPI_TYPE_NULL_COPY_FN

SUBROUTINE MPI_TYPE_NULL_DELETE_FN
END SUBROUTINE MPI_TYPE_NULL_DELETE_FN

SUBROUTINE MPI_WIN_NULL_COPY_FN
END SUBROUTINE MPI_WIN_NULL_COPY_FN

SUBROUTINE MPI_WIN_NULL_DELETE_FN
END SUBROUTINE MPI_WIN_NULL_DELETE_FN

SUBROUTINE MPI_DUP_FN
END SUBROUTINE MPI_DUP_FN

SUBROUTINE MPI_COMM_DUP_FN
END SUBROUTINE MPI_COMM_DUP_FN

SUBROUTINE MPI_TYPE_DUP_FN
END SUBROUTINE MPI_TYPE_DUP_FN

SUBROUTINE MPI_WIN_DUP_FN
END SUBROUTINE MPI_WIN_DUP_FN

FUNCTION MPI_WTIME () RESULT (R)
  DOUBLE PRECISION R
END FUNCTION MPI_WTIME

FUNCTION MPI_WTICK () RESULT (R)
  DOUBLE PRECISION :: R
END FUNCTION MPI_WTICK

FUNCTION PMPI_WTIME () RESULT (R)
  DOUBLE PRECISION R
END FUNCTION PMPI_WTIME

FUNCTION PMPI_WTICK () RESULT (R)
  DOUBLE PRECISION R
END FUNCTION PMPI_WTICK

#endif
